package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.TSSDTaskTypeMapper;
import com.sa.ibiz.demo.demo.domain.TSSDTaskType;
import com.sa.ibiz.demo.demo.service.TSSDTaskTypeService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.TSSDTaskTypeSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[TSSDTaskType] 服务对象接口实现
 */
@Service
public class TSSDTaskTypeServiceImpl extends ServiceImplBase<TSSDTaskTypeMapper, TSSDTaskType> implements TSSDTaskTypeService{


    @Resource
    private TSSDTaskTypeMapper tssdtasktypeMapper;


    @Override
    public boolean create(TSSDTaskType et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(TSSDTaskType et){
        this.beforeUpdate(et);
		this.tssdtasktypeMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(TSSDTaskType et){
		return et.getTssdtasktypeid();  
    }

    @Override
    public boolean getDraft(TSSDTaskType et)  {
            return true;
    }

	public List<TSSDTaskType> listDefault(TSSDTaskTypeSearchFilter filter) {
		return tssdtasktypeMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<TSSDTaskType> searchDefault(TSSDTaskTypeSearchFilter filter) {
		return tssdtasktypeMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return tssdtasktypeMapper.selectRow(sql);
    }

 }